> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dqlabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Application

> Application endpoints: Create Application, Get Export Data, Get Application, Get Applications, Update Application, Delete Application

<script type="application/ld+json">
  {`{
            "@context": "https://schema.org",
            "@type": "TechArticle",
            "headline": "Application",
            "description": "Application endpoints: Create Application, Get Export Data, Get Application, Get Applications, Update Application, Delete Application",
            "url": "https://docs.dqlabs.ai/api-reference/governance/application",
            "publisher": {
              "@type": "Organization",
              "name": "DQLabs Inc",
              "logo": "https://media.brand.dev/332adc35-5bc4-4d2b-bf78-256aa4a5e414.svg"
            }
            }`}
</script>

<Tabs>
  <Tab title="Create Application">
    `POST /api/v1/governance/application`

    Create a new application

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/application" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Create a new application",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Get Export Data">
    `POST /api/v1/governance/application/export`

    Get Export Data

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/application/export" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get Export Data",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Get Application">
    `GET /api/v1/governance/application/{applicationId}`

    Get a application by ID

    **Path Parameters**

    <ParamField path="applicationId" type="string" required={true}>
      Example: \`\`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">
      <ResponseField name="name" type="string">
        Example: `"App test pending"`.
      </ResponseField>

      <ResponseField name="qualified_name" type="string">
        Example: `"App test pending"`.
      </ResponseField>

      <ResponseField name="description" type="string">
        Example: `"Application Test Check represents a specific processing application within the organization's data ecosystem, responsible for executing defined data processing tasks."`.
      </ResponseField>

      <ResponseField name="type" type="string" />

      <ResponseField name="level" type="string" />

      <ResponseField name="source" type="string" />

      <ResponseField name="parent_id" type="string" />

      <ResponseField name="governance_role" type="string" />

      <ResponseField name="sensitivity_level" type="string" />

      <ResponseField name="sla_tire" type="string" />

      <ResponseField name="owner_team" type="string" />

      <ResponseField name="score" type="string" />

      <ResponseField name="total_alerts" type="integer">
        Example: `0`.
      </ResponseField>

      <ResponseField name="total_issues" type="integer">
        Example: `0`.
      </ResponseField>

      <ResponseField name="linked_asset_count" type="integer">
        Example: `0`.
      </ResponseField>

      <ResponseField name="linked_metric_count" type="integer">
        Example: `0`.
      </ResponseField>

      <ResponseField name="total_likes" type="string" />

      <ResponseField name="total_dislikes" type="string" />

      <ResponseField name="total_conversations" type="integer">
        Example: `0`.
      </ResponseField>

      <ResponseField name="total_views" type="integer">
        Example: `1`.
      </ResponseField>

      <ResponseField name="owner" type="object[]" />

      <ResponseField name="user" type="string" />

      <ResponseField name="status" type="string">
        Example: `"READY_FOR_REVIEW"`.
      </ResponseField>

      <ResponseField name="is_active" type="boolean">
        Example: `true`.
      </ResponseField>

      <ResponseField name="is_deleted" type="boolean">
        Example: `false`.
      </ResponseField>

      <ResponseField name="freshness_sla" type="string" />

      <ResponseField name="schema_stability" type="string" />

      <ResponseField name="definition" type="string" />

      <ResponseField name="context" type="string" />

      <ResponseField name="who_should_use_this" type="string" />

      <ResponseField name="id" type="string">
        Example: `"d61d6dbf-abdd-4d6a-ae80-70afcd60596b"`.
      </ResponseField>

      <ResponseField name="created_at" type="string">
        Example: `"2026-09-20T05:52:12.346135Z"`.
      </ResponseField>

      <ResponseField name="modified_at" type="string">
        Example: `"2026-09-21T06:39:16.434851Z"`.
      </ResponseField>

      <ResponseField name="created_by" type="string">
        Example: `"e67fcce2-34f6-48e5-b53c-5c8c4a209d2b"`.
      </ResponseField>

      <ResponseField name="modified_by" type="string">
        Example: `"e67fcce2-34f6-48e5-b53c-5c8c4a209d2b"`.
      </ResponseField>

      <ResponseField name="linked_assets" type="integer">
        Example: `0`.
      </ResponseField>

      <ResponseField name="tag" type="object[]">
        <ResponseField name="id" type="string">
          Example: `"186de437-84aa-45f2-ad8a-fea9b0c71526"`.
        </ResponseField>

        <ResponseField name="name" type="string">
          Example: `"tag1"`.
        </ResponseField>

        <ResponseField name="label" type="string">
          Example: `"tag1"`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="term" type="object[]" />

      <ResponseField name="viewers" type="object[]">
        <ResponseField name="id" type="string">
          Example: `"08ba2090-a236-4538-a671-fca112ca8ad2"`.
        </ResponseField>

        <ResponseField name="viewed_at" type="string">
          Example: `"2026-09-21T10:32:17.614756+00:00"`.
        </ResponseField>

        <ResponseField name="name" type="string" />

        <ResponseField name="email" type="string">
          Example: `"rejeesh@dqlabs.ai"`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="audiences" type="object[]" />

      <ResponseField name="recent_conversations" type="string" />

      <ResponseField name="context_freshness" type="object">
        <ResponseField name="description" type="string" />

        <ResponseField name="owner_verified" type="string">
          Example: `"2026-09-20T07:58:05.378481Z"`.
        </ResponseField>
      </ResponseField>
    </ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/governance/application/{applicationId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>"
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get a application by ID",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {
        "name": "App test pending",
        "qualified_name": "App test pending",
        "description": "Application Test Check represents a specific processing application within the organization's data ecosystem, responsible for executing defined data processing tasks.",
        "type": null,
        "level": null,
        "source": null,
        "parent_id": null,
        "governance_role": null,
        "sensitivity_level": null,
        "sla_tire": null,
        "owner_team": null,
        "score": null,
        "total_alerts": 0,
        "total_issues": 0,
        "linked_asset_count": 0,
        "linked_metric_count": 0,
        "total_likes": null,
        "total_dislikes": null,
        "total_conversations": 0,
        "total_views": 1,
        "owner": [],
        "user": null,
        "status": "READY_FOR_REVIEW",
        "is_active": true,
        "is_deleted": false,
        "freshness_sla": null,
        "schema_stability": null,
        "definition": null,
        "context": null,
        "who_should_use_this": null,
        "id": "d61d6dbf-abdd-4d6a-ae80-70afcd60596b",
        "created_at": "2026-09-20T05:52:12.346135Z",
        "modified_at": "2026-09-21T06:39:16.434851Z",
        "created_by": "e67fcce2-34f6-48e5-b53c-5c8c4a209d2b",
        "modified_by": "e67fcce2-34f6-48e5-b53c-5c8c4a209d2b",
        "linked_assets": 0,
        "tag": [
          {
            "id": "186de437-84aa-45f2-ad8a-fea9b0c71526",
            "name": "tag1",
            "label": "tag1"
          }
        ],
        "term": [],
        "viewers": [
          {
            "id": "08ba2090-a236-4538-a671-fca112ca8ad2",
            "viewed_at": "2026-09-21T10:32:17.614756+00:00",
            "name": null,
            "email": "rejeesh@dqlabs.ai"
          }
        ],
        "audiences": [],
        "recent_conversations": null,
        "context_freshness": {
          "description": null,
          "owner_verified": "2026-09-20T07:58:05.378481Z"
        }
      }
    }
    ```
  </Tab>

  <Tab title="Get Applications">
    `POST /api/v1/governance/application/list`

    Get applications with optional filtering

    **Request Body**

    <ParamField body="pagination" type="object">
      <ParamField body="page" type="integer">
        Example: `1`.
      </ParamField>

      <ParamField body="pageSize" type="integer">
        Example: `10`.
      </ParamField>
    </ParamField>

    <ParamField body="sorting" type="object[]" />

    <ParamField body="filters" type="object[]" />

    <ParamField body="search" type="string">
      Example: `""`.
    </ParamField>

    <ParamField body="export" type="boolean">
      Example: `false`.
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">
      <ResponseField name="data" type="object[]">
        <ResponseField name="name" type="string">
          Example: `"App test pending"`.
        </ResponseField>

        <ResponseField name="qualified_name" type="string">
          Example: `"App test pending"`.
        </ResponseField>

        <ResponseField name="description" type="string">
          Example: `"Application Test Check represents a specific processing application within the organization's data ecosystem, responsible for executing defined data processing tasks."`.
        </ResponseField>

        <ResponseField name="total_alerts" type="integer">
          Example: `0`.
        </ResponseField>

        <ResponseField name="total_issues" type="integer">
          Example: `0`.
        </ResponseField>

        <ResponseField name="linked_asset_count" type="integer">
          Example: `0`.
        </ResponseField>

        <ResponseField name="linked_metric_count" type="integer">
          Example: `0`.
        </ResponseField>

        <ResponseField name="total_conversations" type="integer">
          Example: `0`.
        </ResponseField>

        <ResponseField name="owner" type="object[]" />

        <ResponseField name="status" type="string">
          Example: `"READY_FOR_REVIEW"`.
        </ResponseField>

        <ResponseField name="is_active" type="boolean">
          Example: `true`.
        </ResponseField>

        <ResponseField name="is_deleted" type="boolean">
          Example: `false`.
        </ResponseField>

        <ResponseField name="id" type="string">
          Example: `"d61d6dbf-abdd-4d6a-ae80-70afcd60596b"`.
        </ResponseField>

        <ResponseField name="created_at" type="string">
          Example: `"2026-09-20T05:52:12.346135Z"`.
        </ResponseField>

        <ResponseField name="modified_at" type="string">
          Example: `"2026-09-20T07:58:05.332040Z"`.
        </ResponseField>

        <ResponseField name="created_by" type="string">
          Example: `"e67fcce2-34f6-48e5-b53c-5c8c4a209d2b"`.
        </ResponseField>

        <ResponseField name="modified_by" type="string">
          Example: `"e67fcce2-34f6-48e5-b53c-5c8c4a209d2b"`.
        </ResponseField>

        <ResponseField name="linked_assets" type="integer">
          Example: `0`.
        </ResponseField>

        <ResponseField name="tag" type="object[]">
          <ResponseField name="id" type="string">
            Example: `"c1e3a373-bc8d-59c4-b008-2f24d3abb678"`.
          </ResponseField>

          <ResponseField name="name" type="string">
            Example: `"PII"`.
          </ResponseField>

          <ResponseField name="label" type="string">
            Example: `"PII"`.
          </ResponseField>
        </ResponseField>

        <ResponseField name="term" type="object[]" />

        <ResponseField name="viewers" type="object[]" />

        <ResponseField name="audiences" type="object[]" />
      </ResponseField>

      <ResponseField name="total_count" type="integer">
        Example: `37`.
      </ResponseField>

      <ResponseField name="metrics" type="object[]" />
    </ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/application/list" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{
        "pagination": {
          "page": 1,
          "pageSize": 10
        },
        "sorting": [],
        "filters": [],
        "search": "",
        "export": false
      }'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get applications with optional filtering",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {
        "data": [
          {
            "name": "App test pending",
            "qualified_name": "App test pending",
            "description": "Application Test Check represents a specific processing application within the organization's data ecosystem, responsible for executing defined data processing tasks.",
            "total_alerts": 0,
            "total_issues": 0,
            "linked_asset_count": 0,
            "linked_metric_count": 0,
            "total_conversations": 0,
            "owner": [],
            "status": "READY_FOR_REVIEW",
            "is_active": true,
            "is_deleted": false,
            "id": "d61d6dbf-abdd-4d6a-ae80-70afcd60596b",
            "created_at": "2026-09-20T05:52:12.346135Z",
            "modified_at": "2026-09-20T07:58:05.332040Z",
            "created_by": "e67fcce2-34f6-48e5-b53c-5c8c4a209d2b",
            "modified_by": "e67fcce2-34f6-48e5-b53c-5c8c4a209d2b",
            "linked_assets": 0,
            "tag": [
              {
                "id": "c1e3a373-bc8d-59c4-b008-2f24d3abb678",
                "name": "PII",
                "label": "PII"
              }
            ],
            "term": [],
            "viewers": [],
            "audiences": []
          }
        ],
        "total_count": 37,
        "metrics": []
      }
    }
    ```
  </Tab>

  <Tab title="Update Application">
    `PUT /api/v1/governance/application/{applicationId}`

    Update a application

    **Path Parameters**

    <ParamField path="applicationId" type="string" required={true}>
      Example: \`\`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X PUT "https://<your-workspace>.prizmdata.ai/api/v1/governance/application/{applicationId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Update a application",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Delete Application">
    `DELETE /api/v1/governance/application/{applicationId}`

    Delete a application

    **Path Parameters**

    <ParamField path="applicationId" type="string" required={true}>
      Example: \`\`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X DELETE "https://<your-workspace>.prizmdata.ai/api/v1/governance/application/{applicationId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>"
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Delete a application",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>
</Tabs>
